Skip to content

Create or update NTRIP credentials at a priority​

PUT
/devices/{id}/rtk/ntrip/{priority}

Creates or updates manual credentials at the requested priority. The priority in the URL overrides any priority in the request body. Set insert to true to insert and shift later priorities.

Authorizations​

ApiKeyAuth

API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.

Type
API Key (header: Authorization)
Example"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."

Parameters​

Path Parameters

id*

Device ID

Type
integer
Required
priority*

Credential priority

Type
integer
Required

Request Body​

application/json
JSON
{
  
"host": "string",
  
"insert": true,
  
"mountpoint": "string",
  
"password": "string",
  
"port": 0,
  
"priority": 0,
  
"username": "string"
}

Request example

Responses​

OK

application/json
JSON
{
  
"deviceId": 0,
  
"hostname": "string",
  
"mountpoint": "string",
  
"password": "string",
  
"portNum": 0,
  
"priority": 0,
  
"username": "string"
}
Try this endpoint

Playground​

Authorization
Variables
Key
Value
Body